%define name	t-lasku
%define version	1.9.7
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Finnish invoicing software
Group:		Office
License:	BSD
URL:		http://helineva.net/%{name}/
Source0:	http://helineva.net/%{name}/%{name}-%{version}-i386.tar.gz
Source1:	http://helineva.net/%{name}/%{name}-%{version}-amd64.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt4-devel >= 4:4.6
Requires:	qt4-database-plugin-sqlite

%description
T-lasku is a Finnish invoicing software for Linux.

%prep
%ifarch x86_64
%setup -q -T -b1
%else
%setup -q -T -b0
%endif

%build 
g++ %{optflags} %{ldflags} -o t-lasku t-lasku-relocatable -lQtScript -lQtSql -lQtGui -lQtCore -lpthread

%install
rm -rf %{buildroot}

#binary
install -Dpm755 %{name} %{buildroot}%{_bindir}/%{name}

#desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=T-lasku
GenericName=Invoicing software
Comment=Finnish invoicing software
Terminal=false
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Qt;Office;Finance;X-MandrivaLinux-CrossDesktop;
EOF

# Install hicolor icons
for i in 16x16 24x24 32x32 48x48
do
	install -Dpm 644 images/%{name}-$i.png %{buildroot}%{_datadir}/icons/hicolor/$i/apps/%{name}.png
done

#translations
mkdir -p %{buildroot}%{_datadir}/%{name}/translations/
cp translations/* %{buildroot}%{_datadir}/%{name}/translations/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Jul 09 2011 Jani Välimaa <wally@mandriva.org> 1.9.7-1mdv2011
+ Revision: 689404
- update to new version 1.9.7

* Sun Jun 05 2011 Jani Välimaa <wally@mandriva.org> 1.9.6-1
+ Revision: 682822
- update to new version 1.9.6

* Wed May 25 2011 Jani Välimaa <wally@mandriva.org> 1.9.5-1
+ Revision: 679048
- update to new version 1.9.5

* Wed May 11 2011 Jani Välimaa <wally@mandriva.org> 1.9.4-1
+ Revision: 673580
- update to new version 1.9.4

* Sat Apr 30 2011 Jani Välimaa <wally@mandriva.org> 1.9.2-1
+ Revision: 660818
- update to new version 1.9.2

* Mon Apr 18 2011 Jani Välimaa <wally@mandriva.org> 1.9.1-1
+ Revision: 655859
- update to new version 1.9.1
- update to new version 1.9.0

* Sat Feb 26 2011 Jani Välimaa <wally@mandriva.org> 1.8.0-1
+ Revision: 639961
- update to new version 1.8.0

* Sat Feb 12 2011 Jani Välimaa <wally@mandriva.org> 1.7.0-2
+ Revision: 637359
- install translations

* Tue Feb 08 2011 Jani Välimaa <wally@mandriva.org> 1.7.0-1
+ Revision: 636932
- new version 1.7.0

* Thu Jan 27 2011 Jani Välimaa <wally@mandriva.org> 1.6.2-1
+ Revision: 633246
- update to new version 1.6.2

* Sun Jan 09 2011 Jani Välimaa <wally@mandriva.org> 1.5.0-1
+ Revision: 630829
- update to new version 1.5.0

* Fri Dec 24 2010 Jani Välimaa <wally@mandriva.org> 1.4.2-1mdv2011.0
+ Revision: 624543
- update to new version 1.4.2

* Mon Dec 20 2010 Jani Välimaa <wally@mandriva.org> 1.4.1-1mdv2011.0
+ Revision: 623410
- new version 1.4.1

* Fri Dec 10 2010 Jani Välimaa <wally@mandriva.org> 1.4.0-1mdv2011.0
+ Revision: 620417
- new version 1.4.0
- add X-MandrivaLinux-CrossDesktop to the .desktop file
- tighten build requirements

* Mon Nov 22 2010 Jani Välimaa <wally@mandriva.org> 1.3.0-1mdv2011.0
+ Revision: 599720
- new version 1.3.0

* Sun Oct 31 2010 Jani Välimaa <wally@mandriva.org> 1.2.0-1mdv2011.0
+ Revision: 590971
- new version 1.2.0

* Thu Oct 28 2010 Jani Välimaa <wally@mandriva.org> 1.1.1-3mdv2011.0
+ Revision: 589842
- fix .desktop file
- remove word 'free' from summary and description as t-lasku isn't fully free
  (free of charge but closed source)

* Tue Oct 26 2010 Jani Välimaa <wally@mandriva.org> 1.1.1-2mdv2011.0
+ Revision: 589511
- update sources
- fix license

* Tue Oct 26 2010 Jani Välimaa <wally@mandriva.org> 1.1.1-1mdv2011.0
+ Revision: 589476
- fix file list
- import t-lasku

